//
//  MCViewController.m
//  FlashMessageTest
//
//  Created by Junior Bontognali on 18.10.11.
//  Copyright (c) 2011 Mocha Code. All rights reserved.
//

#import "MCViewController.h"
#import "MCFlashMessageView.h"

@implementation MCViewController

@synthesize messageView = _messageView;

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    if ([[UIDevice currentDevice] userInterfaceIdiom] == UIUserInterfaceIdiomPhone) {
        return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
    } else {
        return YES;
    }
}

#pragma mark - IBActions

- (IBAction)flashWithText:(id)sender 
{
    MCFlashMessageView *messageView = [[MCFlashMessageView alloc] initWithView:self.view];    
    messageView.labelText = @"Starred";
    [self.view addSubview:messageView];
    [messageView show:YES];
    [messageView release];
}

- (IBAction)flashWithTextAndImage:(id)sender
{
    MCFlashMessageView *messageView = [[MCFlashMessageView alloc] initWithView:self.view];
    messageView.icon.image = [UIImage imageNamed:@"star.png"];
    messageView.labelText = @"Starred";
    [self.view addSubview:messageView];
    [messageView show:YES];
    [messageView release];
}

- (IBAction)showMessage:(id)sender
{
    MCFlashMessageView *messageView = [[MCFlashMessageView alloc] initWithView:self.view];
    messageView.icon.image = [UIImage imageNamed:@"star.png"];
    messageView.labelText = @"Starred";
    messageView.autoHide = NO;
    [self.view addSubview:messageView];
    self.messageView = messageView;
    [messageView show:YES];
    [messageView release];
    
    [self performSelector:@selector(hideMessage) withObject:nil afterDelay:1.0];
}

- (void)hideMessage
{
    [self.messageView hide];
}


@end
